/* boot-anim-running: Check if the animation is active
 * copyright 2009 One Laptop per Child
 * Released under the GPLv2+, see COPYING for details
 */
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/mman.h>

#include "utils.h"

int
main (int argc, char *argv[])
{
  struct fbinfo info;
  int r = 0;

  /* update animation frame here, if we meet the requirements. */
  if (fb_open(&info))
    return 1;

  if (!boot_anim_started (&info) || !info.state->running)
    r = 1;

  fb_close(&info);
  return r;
}

